import createUseStyles from "../theme/createUseStyles";
import { cn } from "../util/cn";

const useStyles = createUseStyles({
  tableHead: {
    "& > div": {
      "&:hover": {
        backgroundColor: "inherit !important",
        cursor: "initial !important",
      },
      borderBottom: "1px solid var(--color-grey)",
    },
  },
});

export default function TableHead({ children }: React.PropsWithChildren) {
  const classes = useStyles();

  return <div className={cn("flex-1 flex", classes.tableHead)}>{children}</div>;
}
